 
 library IEEE;
 use IEEE.STD_LOGIC_ARITH.all;
 use IEEE.STD_LOGIC_UNSIGNED.all;

 entity serial_to_parallel is           -- basically a shift-register
   port (
     audio_dacdata : in std_logic;      -- serial input from codec
     AU_BCLK : in std_logic;            -- serial bit clock
     AU_LRCK : in std_logic;            -- parallel clock

     PIN : out std_logic_vector(15 downto 0)        -- output to FX
   );
 end serial_to parallel;

 architecture Behavioral of serial_to_parallel is
 count = 0;
 signal shift : std_logic_vector(15 downto 0);
 process (AU_BCLK)
 begin
   if AU_BCLK'event and AU_BCLK = '1'then
     if count = '1' then
       PIN(15 downto 0) <= shift (15 downto 0);
       count = 0;
     end if;
     shift <= shift(15 downto 0) & audio_dacdata;
     count = count + 1;
   end if;
  end process;
 end behavioral;
